package jx.cn.escort.ui.activity


import android.os.Bundle
import android.view.MenuItem
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentContainerView
import androidx.fragment.app.FragmentTransaction
import com.google.android.material.bottomnavigation.BottomNavigationView
import com.google.android.material.floatingactionbutton.FloatingActionButton
import com.google.android.material.navigation.NavigationBarView
import com.xuexiang.xui.widget.actionbar.TitleBar
import com.xuexiang.xui.widget.searchview.MaterialSearchView
import jx.cn.escort.R
import jx.cn.escort.ui.fragment.BaseNavFragment


class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)


        var layout= findViewById<View>(R.id.top_bar)
        var topBarView=(layout as ViewGroup).getChildAt(0)  as  TitleBar
        topBarView.setLeftClickListener(object:View.OnClickListener {

            override fun onClick(v: View?) {
                Toast.makeText(baseContext,"测试",Toast.LENGTH_SHORT).show()
            }
        })






        var bottomNav= findViewById<BottomNavigationView>(R.id.bottom_nav)



        bottomNav.setOnItemSelectedListener(object: NavigationBarView.OnItemSelectedListener {
            override fun onNavigationItemSelected(item: MenuItem): Boolean {
               var id=item.itemId
                when(id){
                   jx.cn.escort.R.id.index-> {
                       var  fragmentContainerView=findViewById<FragmentContainerView>(R.id.nav_content)

                       var density=resources.displayMetrics.density
                       fragmentContainerView.setPadding(
                           fragmentContainerView.paddingLeft,
                           (62*density+0.5f).toInt(),  // 设置paddingTop为50dp
                           fragmentContainerView.paddingRight,
                           fragmentContainerView.paddingBottom
                       )
                       fragmentContainerView.requestLayout()
                       switchFragment(BaseNavFragment(R.layout.fragment_index, context = baseContext))
                   }
                    R.id.tasks->{
                        switchFragment(BaseNavFragment(R.layout.fragment_tasks, context = baseContext))
                    }
                    R.id.mine->{
                        switchFragment(BaseNavFragment(R.layout.fragment_mine,context = baseContext))
                    }
                }

                return  true
            }



        })

        bottomNav.setSelectedItemId(R.id.index)





    }



   private fun switchFragment(fragment:Fragment){
        var fm=supportFragmentManager
        var  transaction: FragmentTransaction =fm.beginTransaction()
        transaction.replace(R.id.nav_content,fragment)
         transaction.commitAllowingStateLoss()

    }




}